LSBLK(8)

NOM
lsblk - Afficher les périphériques bloc

SYNOPSIS
lsblk [options] [périphérique ...]

DESCRIPTION
lsblk affiche des renseignements sur tout ou partie des périphériques bloc disponibles. La commande lsblk lit le système de fichiers sysfs et udev db pour obtenir des renseignements.

La commande affiche tous les périphériques bloc (sauf les disques RAM) au format arborescent par défaut. Utilisez lsblk --help pour obtenir une liste de toutes les colonnes disponibles.

La sortie par défaut, ainsi que la sortie par défaut avec des options comme --fs et --topology, est susceptible d’être modifiée. Ainsi, autant que possible, vous devriez éviter d’utiliser les sorties par défaut dans les scripts. Définissez toujours explicitement les colonnes attendues en utilisant --output liste dans les environnements nécessitant une sortie stable.

Remarquez que lsblk pourrait être exécuté au moment où udev n’a pas encore tous les renseignements sur les périphériques récemment ajoutés ou modifiés. Dans ce cas, utiliser udevadm settle avant lsblk est recommandé pour synchroniser avec udev.

OPTIONS

-a, --all
    Afficher aussi les périphériques vides (ils sont ignorés par défaut).

-b, --bytes
    Afficher la taille (colonne SIZE) en octet plutôt qu'en format lisible.

-D, --discard
    Afficher des renseignements sur les capacités d'abandon (TRIM, UNMAP) de chaque périphérique.

-d, --nodeps
    N'afficher ni les périphériques esclaves, ni les porteurs. Par exemple, lsblk --nodeps /dev/sda n'affiche que les renseignements relatifs au périphérique sda.

-e, --exclude liste
    Exclure les périphériques indiqués par une liste séparée par des virgules de numéros majeurs. Remarquez que par défaut, les disques RAM (majeur=1) sont exclus. Le filtre n’est appliqué qu’aux périphériques de premier niveau.

-f, --fs
    Afficher des renseignements sur les systèmes de fichiers. Cette option est équivalente à -o NAME,FSTYPE,LABEL,MOUNTPOINT. Les renseignements officiels sur les systèmes de fichiers et les RAID sont fournis par la commande blkid(8).

-h, --help
    Afficher un texte d'aide puis quitter.

-I, --include liste
    Inclure les périphériques indiqués par une liste séparée par des virgules de numéros majeurs. Le filtre n’est appliqué qu’aux périphériques de premier niveau.

-i, --ascii
    Utiliser des caractères ASCII pour le formatage d'arborescence.

-l, --list
    Produire la sortie sous forme d’une liste.

-m, --perms
    Afficher des renseignements sur les propriétaire, groupe et mode et du périphérique. Cette option est équivalente à -o NAME,SIZE,OWNER,GROUP,MODE.

-n, --noheadings
    Ne pas afficher de ligne d'en-tête.

-o, --output liste
    Indiquer les colonnes à afficher. Utilisez --help pour obtenir une liste de toutes les colonnes disponibles.

    La liste de colonnes par défaut peut être étendue si liste est indiquée sous la forme +liste (par exemple, lsblk -o +UUID).

-O, --output-all
    Afficher toutes les colonnes disponibles.

-P, --pairs
    Produire la sortie sous la forme de couples clef="valeur". Tous les caractères potentiellement non sûrs sont protégés de façon hexadécimale (\xcode).

-p, --paths
    Afficher les chemins complets de périphérique.

-r, --raw
    Produire la sortie au format brut. Tous les caractères potentiellement non sûrs sont protégés de façon hexadécimale (\xcode) dans les colonnes NAME, KNAME, LABEL, PARTLABEL et MOUNTPOINT.

-S, --scsi
    N’afficher que les renseignements sur les périphériques SCSI. Toutes les partitions et les périphériques esclaves et porteurs sont ignorés.

-s, --inverse
    Afficher les dépendances en ordre inverse.

-t, --topology
    Afficher des renseignements sur la topologie du périphérique bloc. Cette option est équivalente à -o NAME,ALIGNMENT,MIN-IO,OPT-IO,PHY-SEC,LOG-SEC,ROTA,SCHED,RQ-SIZE,WSAME.

-V, --version
    Afficher les informations sur la version et quitter.

-x, --sort colonne
    Ordonner les lignes affichées d’après la colonne de sortie.

NOTES
Certains renseignements de partitions (par exemple les attributs de file) sont hérités du périphérique parent.

La commande lsblk doit pouvoir rechercher tous les périphériques blocs par numéros majeur:mineur, ce qui est fait en utilisant /sys/dev/block. Ce répertoire de systèmes de fichiers blocs est apparu dans le noyau 2.6.27 (octobre 2008). En cas de problèmes avec un noyau assez récent, vérifiez que CONFIG_SYSFS était activé au moment de la construction du noyau.

CODES DE RETOUR

0   réussite

1   échec

32  aucun des périphériques indiqués n’a été trouvé

64  les périphériques indiqués n’ont pas tous été trouvés

AUTEURS
Milan Broz <mbroz@redhat.com>
Karel Zak <kzak@redhat.com>

ENVIRONNEMENT

LIBBLKID_DEBUG=all
    Activer la sortie de débogage de libblkid.

LIBMOUNT_DEBUG=all
    Activer la sortie de débogage de libmount.

LIBSMARTCOLS_DEBUG=all
    Activer la sortie de débogage de libsmartcols.

VOIR AUSSI
ls(1), blkid(8), findmnt(8)

DISPONIBILITÉ
La commande lsblk fait partie du paquet util-linux, elle est disponible sur <ftp://ftp.kernel.org/pub/linux/utils/util-linux/>.

TRADUCTION
La traduction de cette page de manuel est maintenue par les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.